# Function applyPostBattleAbAttrs

- applyPostBattleAbAttrs(attrType, pokemon, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PostBattleAbAttr )
    - - new (...args): PostBattleAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PostBattleAbAttr

  - pokemon: default
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3653